
Application: gvSIG desktop - gvSIG bugs #3562
calculadora de campos carga las funciones y campos de forma poco amigable / field calculator add 
fields an function unfriendly
06/01/2015 06:58 PM - Mario Fevre

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Usability
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2308 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

es:
Puede que no sea un bug

Como funciona hoy:
    -  Dobleclick sobre una función, carga la función a la fórmula incorporando la totalidad del contenido preexistente como
parámetro).
    -  Dobleclick sobre un cambio, incorpora el campo al final de la fórmula.

Como debería funcionar:
dobleclick sobre una función reemplaza la selección actual (de texto en la fórmula). Por la función incoporando la selección como
parametros.
dobleclick sobre un campo reemplaza la selección actual (de texto en la fórmula). Por la fórmula.
Si no hay selección se aplica a la posición del cursor.

en:
This might not be e bug.

This is how it works:
    -  Dobleclick on a function, replaces the full content of the formula by de function using the previous content as parameter.
    -  Dobleclick on a field, adds the filed at the end of the formula.

This is how it should work:
    -  Dobleclick on a function, replaces the formula text selection with the function using the selection as parameter.
    -  Dobleclick on a field,  replaces the formula text selection with the field.

History
#1 - 10/23/2015 12:08 PM - Álvaro Anguix
- Category set to Usability

#2 - 10/17/2019 03:15 PM - Álvaro Anguix
- Status changed from New to Outdated
Nueva calculadora de campos, por lo que este ticket queda obsoleto
